package com.ms.dal.mapper;

import com.ms.dal.entity.DoudianMsg;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.DoudianMsg
 */
@Mapper
public interface DoudianMsgMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DoudianMsg record);

    int insertOrUpdate(DoudianMsg  record);

    int insertSelective(DoudianMsg record);

    DoudianMsg selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DoudianMsg record);

    int updateByPrimaryKey(DoudianMsg record);

}
